package com.yizhi.library.application.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className SelectionStudentCaseParam
 * @description TODO
 * @date 2019/8/13
 **/
@Data
@ApiModel(value = "SelectionStudentCaseParam",description = "精选案例搜索请求类")
public class SelectionStudentCaseParam {

    @ApiModelProperty(value = "作者或者案例姓名模糊查询")
    private String key;

    @ApiModelProperty(value = "分类筛选id")
    private List<Long> classifyIdList;

    @ApiModelProperty("排序类型 1:提交时间由近到远 2:提交时间由远到近 3:学习量由多到少 4:点赞数由多到少 5:评分由高到低")
    private Integer sortType;

    private Integer pageNo;

    private Integer pageSize;
}
