package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 * 原创活动多维度打分设置
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
@Data
@ApiModel(value = "CaseLibraryDimensionGradeVO", description = "整体不传为删除该条维度")
public class CaseLibraryDimensionGradeVO{

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "id, 不传为新增，传递为修改")
    private Long id;

    @ApiModelProperty(value = "维度名称")
    private String name;

    @ApiModelProperty(value = "分值区间左值")
    @TableField("min_score")
    private Integer minScore;

    @ApiModelProperty(value = "分值区间右值")
    @TableField("max_score")
    private Integer maxScore;

    @ApiModelProperty(value = "排序")
    private Integer sort;

    @ApiModelProperty("已经获得的分值")
    private Integer score;

}
