package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.Date;

/**
 * @author Ding
 * @className CommentReplyVO
 * @description TODO
 * @date 2019/7/15
 **/
@Data
@ApiModel(value = "CommentReply", description = "评论回复vo")
public class CommentReplyVO  {

    @ApiModelProperty(value = "前端需要key值")
    private String key;

    @ApiModelProperty(value = "回复人头像")
    private String headPortrait;

    @ApiModelProperty(value = "回复人用户名")
    private String commenterName;

    @ApiModelProperty(value = "回复人姓名")
    private String commenterFullName;

    @ApiModelProperty(value = "被回复人用户名")
    private String replyAccountName;

    @ApiModelProperty(value = "被回复人姓名")
    private String replyAccountFullName;

    private Long Id;

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "回复人id(评论人或者回复人)")
    private Long commenterId;

    @ApiModelProperty(value = "被回复人id")
    private Long replyAccountId;

    @ApiModelProperty(value = "回复内容")
    private String content;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    @ApiModelProperty(value = "0:删除 1:未删除")
    private Integer state;
}
