package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className FavoriteVO
 * @description TODO
 * @date 2019/8/7
 **/
@Data
@ApiModel(value = "FavoriteVO", description = "我的收藏类")
public class FavoriteVO {

    @ApiModelProperty(value = "收藏记录id")
    private Long favoriteId;

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "学员案例名称")
    private String studentCaseTittle;

    @ApiModelProperty(value = "封面logo")
    private String studentCaseLogoUrl;

    @ApiModelProperty(value = "提交时间")
    private Date submitTime;

    @ApiModelProperty(value = "作者id")
    private Long authorId;

    @ApiModelProperty(value = "作者姓名")
    private String authorFullName;

    @ApiModelProperty(value = "学习量")
    private Integer studyNum;

    @ApiModelProperty(value = "点赞量")
    private Integer admireNum;

    @ApiModelProperty(value = "举报数")
    private Integer informNum;

    @ApiModelProperty(value = "得分")
    private Integer score;

    @ApiModelProperty(value = "是否是本人")
    private boolean self = false;
}
