package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className InformVO
 * @description 案例举报vo
 * @date 2019/7/31
 **/
@Data
@ApiModel(value = "InformVO",description = "案例举报vo")
public class InformVO {

    @ApiModelProperty(value = "举报人id")
    private Long informerId;

    @ApiModelProperty(value = "举报人姓名")
    private String informerFullName;

    @ApiModelProperty(value = "举报理由")
    private String informDescription;

    @ApiModelProperty(value = "举报截图组成一个字符串")
    private String pictureUrl;

    @ApiModelProperty(value = "举报截图")
    private List<String>  pictureUrlList;

    @ApiModelProperty(value = "举报时间")
    private Date informTime;
}
