package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import java.util.List;
import java.util.Map;

/**
 * @author Ding
 * @className RangeAccountsVO
 * @description TODO
 * @date 2019/7/25
 **/
@Data
@ApiModel(value = "RangeAccountsVO", description = "模糊查询/管辖区查询用户信息返回类")
public class RangeAccountsVO {

    @ApiModelProperty(name = "是否是全站点用户")
    Boolean isAllAccount;

    @ApiModelProperty(name = "筛选出的用户id")
    List<Long> accountIds;

    @ApiModelProperty(name = "筛选出的用户map")
    Map<Long, ReportAccountRespVO> accountMap;
}
