package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @Date 2020/9/23 9:28 下午
 * @Author lvjianhui
 **/
@Data
public class ReportAccountRespVO {

    @ApiModelProperty("用户id")
    private Long userId;
    @ApiModelProperty("头像")
    private String headPortrait;
    @ApiModelProperty("用户名")
    private String userName;
    @ApiModelProperty("用户姓名")
    private String userFullName;
    @ApiModelProperty("部门id")
    private Long orgId;
    @ApiModelProperty("部门名称")
    private String orgName;
    @ApiModelProperty("部门code")
    private String orgCode;
    @ApiModelProperty("用户状态：1:启用,0:停用")
    private Integer status;
    @ApiModelProperty("创建时间")
    private Date createTime;
    @ApiModelProperty("账户邮箱")
    private String email;
    @ApiModelProperty("企业id")
    private Long companyId;
    @ApiModelProperty("父节组织名称")
    private List<String> parentOrgNames;
    @ApiModelProperty("工号")
    private String workNum;
    private String mobile;
    @ApiModelProperty("职位")
    private String position;

}
