package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
public class StatisticStudentCaseVO {

    private static final long serialVersionUID = 1L;

	private Long id;

    /**
     *学员案例id
     */
    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;

    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long accountId;

    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称")
    private String accountName;

    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String fullName;

    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
    private Date time;

    /**
     * 用户状态
     */
    @ApiModelProperty(value = "用户状态")
	@TableField("state")
    private String state;

    /**
     * 获赞数
     */
    @ApiModelProperty(value = "获赞数")
    private Long upNum;

    /**
     * 举报数
     */
    @ApiModelProperty(value = "举报数")
	@TableField("inform_num")
    private Long informNum;

    /**
     * 学习量
     */
    @ApiModelProperty(value = "学习量")
    private Long studyNum;

    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    private Long companyId;

    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id")
    private Long siteId;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    private Long orgId;

    @ApiModelProperty(value = "所属部门")
    private String orgName;

    @ApiModelProperty(value = "所在组织架构")
    private String orgNames;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
}
