package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * <p>
 *
 * </p>
 *
 * @author shengchenglong123
 * @since 2020-08-05
 */
@Data
@ApiModel(value = "StudentCaseDimensionGradeRecord", description = "给学员进行维度打分")
public class StudentCaseDimensionGradeRecordVO {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "必传：维度id")
    private Long caseLibraryDimensionGradeId;

    @ApiModelProperty(value = "维度名称")
    private String name;

    @ApiModelProperty(value = "评分说明")
    private String description;

    @ApiModelProperty(value = "分值区间左值")
    @TableField("min_score")
    private Integer minScore;

    @ApiModelProperty(value = "分值区间右值")
    @TableField("max_score")
    private Integer maxScore;

    @ApiModelProperty(value = "必传：得分")
    private Integer score;

}
