package com.yizhi.library.application.vo;

import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel(value = "StudentCaseExportVO", description = "学员案例导出报表信息")
public class StudentCaseExportVO {

    /**
     * id
     */
    @ApiModelProperty(value = "id")
    private Long id;
    
    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
    private String title;
    
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
    private Long accountId;
    
    /**
     * 用户名
     */
    @ApiModelProperty(value = "用户名")
    private String accountName;
    
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
    private String fullName;
    
    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
    private Date time;
    
    /**
     * 状态
     */
    @ApiModelProperty(value = "状态")
    private String state;
    
    /**
     * 获赞数
     */
    @ApiModelProperty(value = "获赞数")
    private Long upNum;
    
    /**
     * 举报数
     */
    @ApiModelProperty(value = "举报数")
    private Long informNum;

    /**
     * 学习量
     */
    @ApiModelProperty(value = "学习量")
    private Long studyNum;
}
