package com.yizhi.library.application.vo;

import com.baomidou.mybatisplus.annotations.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@ApiModel(value = "StudentCaseOrgExportVO", description = "按部门统计学 员案例导出报表信息")
public class StudentCaseOrgExportVO {

    private Long id;

    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
    @TableField("org_id")
    private Long orgId;

    /**
     * 部门名称
     */
    @ApiModelProperty(value = "部门名称")
    @TableField("org_name")
    private String orgName;

    /**
     * 提交数
     */
    @ApiModelProperty(value = "提交数")
    @TableField("submit_num")
    private Long submitNum;

    /**
     * 待审核数
     */
    @ApiModelProperty(value = "待审核数")
    @TableField("audit_num")
    private Long auditNum;

    /**
     * 不通过数
     */
    @ApiModelProperty(value = "不通过数")
    @TableField("no_audit_num")
    private Long noAuditNum;

    /**
     * 未评分数
     */
    @ApiModelProperty(value = "未评分数")
    @TableField("no_score_num")
    private Long noScoreNum;

    /**
     * 已评分数
     */
    @ApiModelProperty(value = "已评分数")
    @TableField("score_num")
    private Long scoreNum;

    /**
     * 精选案例数
     */
    @ApiModelProperty(value = "精选案例数")
    @TableField("case_num")
    private Long caseNum;

    /**
     * 点赞数
     */
    @ApiModelProperty(value = "点赞数")
    @TableField("up_num")
    private Long upNum;

    /**
     * 学习量
     */
    @ApiModelProperty(value = "学习量")
    @TableField("study_num")
    private Long studyNum;

    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
    @TableField("company_id")
    private Long companyId;

    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id")
    @TableField("site_id")
    private Long siteId;

    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

}
