package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className StudentCaseRecordListVO
 * @description TODO
 * @date 2019/7/10
 **/
@Data
@ApiModel(value = "StudentCaseRecordListVO", description = "案例记录列表VO")
public class StudentCaseRecordListVO {

    @ApiModelProperty(value = "案例活动名称")
    private String caseLibraryName;

    @ApiModelProperty(value = "案例活动要求")
    private String explanation;

    @ApiModelProperty(value = "学员案例记录列表")
    List<StudentCaseRecordVO> studentCaseRecordList;
    
    @ApiModelProperty("学员案例状态 0:已过期 1:待提交 2:待审核 3:(审核通过)待评分 4:(审核通过)已评分 5:审核不通过")
    private Integer state;

    @ApiModelProperty("案例活动状态 1:未过期 2:已过期")
    private Integer caseLibraryState;
}
