package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className StudentCaseRecordVO
 * @description TODO
 * @date 2019/7/10
 **/

@Data
@ApiModel(value = "StudentCaseRecordVO", description = "案例记录VO")
public class StudentCaseRecordVO {

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "学员案例主题")
    private String title;

    @ApiModelProperty(value = "学员案例logourl")
    private String logoUrl;

    @ApiModelProperty(value = "最近修改时间")
    private Date lastModifyTime;

    @ApiModelProperty("案例活动开始时间")
    private Date startTime;

    @ApiModelProperty("案例活动截止时间")
    private Date endTime;

    @ApiModelProperty("学员案例状态 0:已过期 1:待提交 2:待审核 3:(审核通过)待评分 4:(审核通过)已评分 5:审核不通过")
    private Integer state;
}
