package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Ding
 * @className StudentRelatedClassifyVO
 * @description TODO
 * @date 2019/8/5
 **/
@Data
@ApiModel(value = "StudentRelatedClassifyVO", description = "学员案例关联分类VO")
public class StudentRelatedClassifyVO {

    private Long id;

    @ApiModelProperty(value = "学生案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "一级或者二级,分类id")
    private Long classifyId;

    @ApiModelProperty(value = "一级或者二级,分类名称")
    private String classifyName;

    @ApiModelProperty(value = "1:一级分类 2:二级分类")
    private Integer level;

    @ApiModelProperty(value = "父级分类id")
    private Long classifyParentId;

    @ApiModelProperty("父级分类名称")
    private String classifyParentName;

    @ApiModelProperty(value = "维度id")
    private Long rootId;

    @ApiModelProperty(value = "维度名称")
    private String rootName;

}
