package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-03
 */
@Data
@ApiModel(value = "Classify", description = "")
@TableName("classify")
public class Classify {

    private static final long serialVersionUID = 1L;


	private Long id;

	private String name;

    @ApiModelProperty(value = "0:维度, 1:一级分类 2:二级分类")
	private Integer level;

	@ApiModelProperty(value = "分类描述")
	private String description;

    @ApiModelProperty(value = "父级id 0为维度没有父级")
	@TableField("parent_id")
	private Long parentId;

    @ApiModelProperty(value = "分类排序")
	private Integer sort;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField("company_id")
	private Long companyId;

	@TableField("site_id")
	private Long siteId;

	@TableField("org_id")
	private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:上架, 2:下架)")
	private Integer state;



}
