package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Data
@ApiModel(value = "Comment", description = "")
@TableName("comment")
public class Comment {

    private static final long serialVersionUID = 1L;


	private Long Id;

    @ApiModelProperty(value = "评论人id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "学员案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

    @ApiModelProperty(value = "评论内容")
	private String content;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

	@TableField(value = "company_id")
	private Long companyId;

	@TableField(value = "site_id")
	private Long siteId;

	@TableField(value = "org_id")
	private Long orgId;

    @ApiModelProperty(value = "0:删除 1:未删除")
	@TableLogic
	private Integer state;



}
