package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Data
@ApiModel(value = "CommentReply", description = "")
@TableName("comment_reply")
public class CommentReply {

    private static final long serialVersionUID = 1L;


	private Long Id;

    @ApiModelProperty(value = "评论id")
	@TableField("comment_id")
	private Long commentId;

    @ApiModelProperty(value = "回复人id(评论人或者回复人)")
	@TableField("commenter_id")
	private Long commenterId;

    @ApiModelProperty(value = "被回复人id")
	@TableField("reply_account_id")
	private Long replyAccountId;

    @ApiModelProperty(value = "回复内容")
	private String content;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "0:删除 1:未删除")
	@TableLogic
	private Integer state;



}
