package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@TableName("statistic_student_case_detail")
public class StatisticStudentCase {

    private static final long serialVersionUID = 1L;

	private Long id;
	
    /**
     *学员案例id
     */
    @ApiModelProperty(value = "学员案例id")
	@TableField("student_case_id")
    private Long studentCaseId;

    /**
     * 标题
     */
    @ApiModelProperty(value = "标题")
	@TableField("title")
    private String title;
    
    /**
     * 用户id
     */
    @ApiModelProperty(value = "用户id")
	@TableField("account_id")
    private Long accountId;
    
    /**
     * 账号名称
     */
    @ApiModelProperty(value = "账号名称")
	@TableField("account_name")
    private String accountName;
    
    /**
     * 姓名
     */
    @ApiModelProperty(value = "姓名")
	@TableField("full_name")
    private String fullName;
    
    /**
     * 提交时间
     */
    @ApiModelProperty(value = "提交时间")
	@TableField("time")
    private Date time;
    
    /**
     * 用户状态
     */
    @ApiModelProperty(value = "用户状态")
	@TableField("state")
    private String state;
    
    /**
     * 获赞数
     */
    @ApiModelProperty(value = "获赞数")
	@TableField("up_num")
    private Long upNum;
    
    /**
     * 举报数
     */
    @ApiModelProperty(value = "举报数")
	@TableField("inform_num")
    private Long informNum;
    
    /**
     * 学习量
     */
    @ApiModelProperty(value = "学习量")
	@TableField("study_num")
    private Long studyNum;
    
    /**
     * 企业id
     */
    @ApiModelProperty(value = "企业id")
	@TableField("company_id")
    private Long companyId;
    
    /**
     * 站点id
     */
    @ApiModelProperty(value = "站点id")
	@TableField("site_id")
    private Long siteId;
    
    /**
     * 部门id
     */
    @ApiModelProperty(value = "部门id")
	@TableField("org_id")
    private Long orgId;
    
    /**
     * 创建时间
     */
    @ApiModelProperty(value = "创建时间")
	@TableField("create_time")
    private Date createTime;
}
