package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 案例学习记录表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-19
 */
@Data
@ApiModel(value = "StudentCaseScoreRecorde", description = "案例学习记录表")
@TableName("student_case_score_recorde")
public class StudentCaseScoreRecorde {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "学生案例id")
	@TableField("student_case_id")
	private Long studentCaseId;

    @ApiModelProperty(value = "评分人id")
	@TableField("scorer_id")
	private Long scorerId;

    @ApiModelProperty(value = "评分时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

    @ApiModelProperty(value = "得分")
	private Integer score;



}
