package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.InformRecorde;
import com.yizhi.library.application.vo.InformVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 举报记录表 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface InformRecordeMapper extends BaseMapper<InformRecorde> {

    /**
     * 获取举报列表
     * @param studentCaseId
     * @return
     */
    List<InformVO> getInformList(@Param("studentCaseId") Long studentCaseId);
}
