package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.Scorer;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
public interface ScorerMapper extends BaseMapper<Scorer> {

    /**
     * 案例活动获取评分人
     * @param caseLibraryId
     * @param accountId
     * @return
     */
    List<Long> getScorerList(@Param("caseLibraryId") Long caseLibraryId,@Param("accountId") Long accountId);
}
