package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.domain.StatisticStudentCase;
import com.yizhi.library.application.vo.StatisticStudentCaseVO;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.List;

public interface StatisticStudentCaseMapper extends BaseMapper<StatisticStudentCase>{

	StatisticStudentCase getStatisticStudentCase(@Param("studentCaseId") Long studentCaseId);

	/**
	 * 学员案例报表(按案例统计)
	 * @param startDate
	 * @param endDate
	 * @param kwd
	 * @param siteId
	 * @param page
	 * @return
	 */
	List<StatisticStudentCaseVO> studentCaseList(@Param("startDate") String startDate,
												 @Param("endDate") String endDate,
												 @Param("kwd") String kwd,
												 @Param("siteId") Long siteId,
												 Page<StatisticStudentCaseVO> page);
}
