package com.yizhi.library.application.mapper;

import com.yizhi.library.application.domain.StatisticStudentCaseOrg;
import org.apache.ibatis.annotations.MapKey;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;

import java.util.Map;

public interface StatisticStudentCaseOrgMapper extends BaseMapper<StatisticStudentCaseOrg> {

    StatisticStudentCaseOrg getStudentCaseOrg(@Param("orgId") Long orgId, @Param("siteId") Long siteId);

    /**
     * 获取组织架构
     *
     * @param companyId
     * @param siteId
     * @return
     */
    @MapKey("orgId")
    Map<Long, Map<String, String>> getOrgNamesMap(@Param("companyId") Long companyId, @Param("siteId") Long siteId);
}
