package com.yizhi.library.application.mapper;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.domain.StudentCaseAuthorize;
import com.yizhi.library.application.vo.StudentCaseAuthorizeVO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 考试人员范围 Mapper 接口
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-08-05
 */
public interface StudentCaseAuthorizeMapper extends BaseMapper<StudentCaseAuthorize> {

    /**
     *获取指定范围列表
     * @param studentCaseId
     * @return
     */
    List<StudentCaseAuthorizeVO> getAuthorize(@Param("studentCaseId") Long studentCaseId);
}
