package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.AdmireRecorde;

/**
 * <p>
 * 点赞记录表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface IAdmireRecordeService extends IService<AdmireRecorde> {

    /**
     * 学习案例点赞
     * @param studentCaseId
     * @return
     */
    boolean admireStudentCase(Long studentCaseId);

    /**
     * 学习案例点取消赞
     * @param studentCaseId
     * @return
     */
    boolean cancelAdmireStudentCase(Long studentCaseId);
}
