package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.InformRecorde;
import com.yizhi.library.application.param.InformParam;
import com.yizhi.library.application.vo.InformVO;

import java.util.List;

/**
 * <p>
 * 举报记录表 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface IInformRecordeService extends IService<InformRecorde> {

    /**
     * 举报
     * @param informParam
     * @return
     */
    boolean inform(InformParam informParam);

    /**
     * 获取举报列表
     * @param studentCaseId
     * @return
     */
    List<InformVO> getInformList(Long studentCaseId);
}
