package com.yizhi.library.application.service;

import java.util.List;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.StatisticStudentCase;
import com.yizhi.library.application.domain.StatisticStudentCaseAccount;
import com.yizhi.library.application.domain.StatisticStudentCaseOrg;
import com.yizhi.library.application.domain.StudentCase;

public interface IStatisticStudentCaseAccount extends IService<StatisticStudentCaseAccount> {

	StatisticStudentCaseAccount getAccountExportVO(Long accountId,Long siteId);
	
	StatisticStudentCaseOrg getOrgExportVO(Long orgId, Long siteId);
	
	List<Long> getSiteIds();
	
	StatisticStudentCase getStudentCase(Long studentCaseId);
	
	List<StudentCase> getStudentCases();
}
