package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.StudentCaseAccessary;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-12-19
 */
public interface IStudentCaseAccessaryService extends IService<StudentCaseAccessary> {

    /**
     * 删除对应附件
     * @param studentCaseId
     */
    void deleteAccessary(Long studentCaseId);

    /**
     * 通知案例微服务该附件是视频/音频文件,等待转码
     * @param ids
     * @return
     */
    boolean verifyVedio(List<Long> ids);

    /**
     * 更新视频/音频转码url
     * @param map
     * @return
     */
    boolean updateTranscodeUrl(Map<String, String> map);
}
