package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.StudentCaseAuthorize;
import com.yizhi.library.application.vo.StudentCaseAuthorizeVO;

import java.util.List;

/**
 * <p>
 * 考试人员范围 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-08-05
 */
public interface IStudentCaseAuthorizeService extends IService<StudentCaseAuthorize> {

    /**
     * 管理端修改学员案例新增可见范围用户,部门
     * @param studentCaseAuthorizeList
     * @return
     */
    boolean insertAuthorize(List<StudentCaseAuthorizeVO> studentCaseAuthorizeList);

    /**
     * 获取指定范围列表
     * @param studentCaseId
     * @return
     */
    List<StudentCaseAuthorizeVO> getAuthorize(Long studentCaseId);
}
