package com.yizhi.library.application.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Ding
 * @className CommentParam
 * @description TODO
 * @date 2019/7/12
 **/
@Data
@ApiModel(value = "CommentParam",description = "评论/回复请求类")
public class CommentParam {

    @ApiModelProperty(value = "类型1:评论 2:回复")
    private Integer type;

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "评论id")
    private Long commentId;

    @ApiModelProperty(value = "评论/回复内容")
    private String content;

    @ApiModelProperty(value = "回复对象id")
    private Long replyAccountId;
}
