package com.yizhi.library.application.param;

import com.yizhi.library.application.vo.StudentCaseDimensionGradeRecordVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className StudentCaseAuditParam
 * @description TODO
 * @date 2019/7/12
 **/

@Data
@ApiModel(value = "StudentCaseAuditParam", description = "学生案例,审核/评分提交param")
public class StudentCaseAuditParam {

    @ApiModelProperty("是否是管理员评分 1:管理员 不传为非管理员")
    private Integer isAdmin;

    @ApiModelProperty(value = "学生案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "审核是否通过")
    private Integer auditState;

    @ApiModelProperty(value = "审核反馈")
    private String audiEvaluate;

    @ApiModelProperty(value = "评分")
    private Integer score;

    @ApiModelProperty(value = "批量审核/评分案例id")
    private List<Long> idList;

    @ApiModelProperty(value = "多维度打分，无值按照以前处理，有值按照多维度打分处理")
    private List<StudentCaseDimensionGradeRecordVO> studentCaseDimensionGradeRecordVOS;
}
