package com.yizhi.library.application.param;

import com.yizhi.library.application.vo.StudentCaseRelatedClassifyVO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className UpdateCaseRelatedClassifyParam
 * @description TODO
 * @date 2019/12/5
 **/
@Data
@ApiModel(value = "StudentCase", description = "修改学生案例关联分类请求类")
public class UpdateCaseRelatedClassifyParam {


    @ApiModelProperty("学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "关联分类list")
    private List<StudentCaseRelatedClassifyVO> relatedClassifyList;

}
