package com.yizhi.library.application.vo;

import java.util.Date;
import java.util.List;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author Ding
 * @className AccessoryUrlVO
 * @description TODO
 * @date 2019/7/10
 **/
@Data
@ApiModel(value = "AccessoryUrlVO", description = "附件VO")
public class AccessoryUrlVO {

    @ApiModelProperty(value = "文件大小")
    private String fileSize;

    @ApiModelProperty(value = "附件url")
    private String url;

    @ApiModelProperty(value = "前端需要回显")
    private String uid;
    
    @ApiModelProperty(value = "pdf图片")
    private List<PdfPages> pdfPages;

    private Long id;

    private String name;

    @ApiModelProperty(value = "0:维度, 1:一级分类 2:二级分类")
    private Integer level;

    @ApiModelProperty(value = "分类描述")
    private String description;

    @ApiModelProperty(value = "父级id 0为维度没有父级")
    private Long parentId;

    @ApiModelProperty(value = "分类排序")
    private Integer sort;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:上架, 2:下架)")
    private Integer state;
}
