package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * @author Ding
 * @className StudentCaseAuthorizeVO
 * @description TODO
 * @date 2019/8/5
 **/
@Data
@ApiModel(value = "StudentCaseAuthorize", description = "可见范围vo类")
public class CaselibraryAuthorizeVO {

    @ApiModelProperty("用户姓名")
    private String accountFullName;

    @ApiModelProperty("工号")
    private String workNum;

    @ApiModelProperty(value = "主键")
    private Long id;

    @ApiModelProperty(value = "学员案例_ID，外键")
    private Long caseLibraryId;

    @ApiModelProperty(value = "1：用户 、2：组织")
    private Integer type;

    @ApiModelProperty(value = "存放人或组织的ID")
    private Long relationId;

    @ApiModelProperty(value = "角色名称")
    private String name;

    @ApiModelProperty(value = "0删除 1有效，默认有效")
    private Integer state;

    @ApiModelProperty(value = "创建时间")
    private Date createTime;

    @ApiModelProperty(value = "创建人ID")
    private Long createById;

    @ApiModelProperty(value = "创建人姓名")
    private String createByName;

    @ApiModelProperty(value = "修改时间")
    private Date updateTime;

    @ApiModelProperty(value = "修改人ID")
    private Long updateById;

    @ApiModelProperty(value = "修改人姓名")
    private String updateByName;
}
