package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

/**
 * @author Ding
 * @className ClassifyListVO
 * @description TODO
 * @date 2019/7/4
 **/
@Data
@ApiModel(value = "CaseLibrary", description = "一级分类列表类,包含二级分类列表")
public class ClassifyLevelOneVO  extends ClassifyVO{

    @ApiModelProperty(value = "是否选择 0:未选中 1:选中")
    Integer chooseState;

    @ApiModelProperty(value = "二级分类列表")
    List<ClassifyVO> children;

    @ApiModelProperty(value = "索引")
    String key;

    @ApiModelProperty(value = "少波需要,跟name值一样")
    private String label;

    @ApiModelProperty(value = "少波需要,跟id值一样")
    private Long value;

    @ApiModelProperty(value = "是否可删除 0:不可删除 1:可删除")
    private Integer canDelete;

    @ApiModelProperty("置灰状态 0:置灰 1:不置灰")
    private Integer showState;

    private String name;

    private Long id;

    private Integer state;

}
