package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className ClassifyListVO
 * @description TODO
 * @date 2019/7/4
 **/
@Data
@ApiModel(value = "Classify", description = "分类列表vo")
public class ClassifyListVO extends ClassifyVO {

    List<ClassifyLevelOneVO> children;

    @ApiModelProperty(value = "学员案例每个维度关联分类主体id(修改关联分类id时候用)")
    Long studentCaseRelatedClassifyId;

    @ApiModelProperty(value = "该维度下选择的分类id 包括一级,二级")
    List<Long> selectList;

    @ApiModelProperty(value = "是否可删除 0:不可删除 1:可删除")
    Integer canDelete;

    private Long id;

    private String name;

    @ApiModelProperty(value = "0:维度, 1:一级分类 2:二级分类")
    private Integer level;

    @ApiModelProperty(value = "分类描述")
    private String description;

    @ApiModelProperty(value = "父级id 0为维度没有父级")
    private Long parentId;

    @ApiModelProperty(value = "分类排序")
    private Integer sort;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    @ApiModelProperty(value = "(0:删除, 1:上架, 2:下架)")
    private Integer state;

}
