package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @author Ding
 * @className CommentVO
 * @description TODO
 * @date 2019/7/12
 **/

@Data
@ApiModel(value = "CommentVO", description = "评论VO")
public class CommentVO {

    @ApiModelProperty(value = "序号")
    private Integer index;

    @ApiModelProperty(value = "前端需要key值")
    private String key;

    @ApiModelProperty(value = "是否点赞 0:未点赞 >0已点赞点赞")
    private Integer isAdmire;

    @ApiModelProperty(value = "评论人头像")
    private String headPortrait;

    @ApiModelProperty(value = "评论人用户名")
    private String commenterUserName;

    @ApiModelProperty(value = "评论人姓名")
    private String commenterFullName;

    @ApiModelProperty(value = "评论回复数")
    private Integer replyNum;

    @ApiModelProperty(value = "评论点赞数")
    private Integer admireNum;

    @ApiModelProperty(value = "被回复人id")
    private Long replyAccountId;

    @ApiModelProperty(value = "被回复人姓名")
    private String replyAccountFullName;

    @ApiModelProperty(value = "评论回复列表")
    private List<CommentReplyVO> children;

    private Long Id;

    @ApiModelProperty(value = "评论人id")
    private Long accountId;

    @ApiModelProperty(value = "学员案例id")
    private Long studentCaseId;

    @ApiModelProperty(value = "评论内容")
    private String content;

    private Long createById;

    private String createByName;

    private Date createTime;

    private Long updateById;

    private String updateByName;

    private Date updateTime;

    private Long companyId;

    private Long siteId;

    private Long orgId;

    @ApiModelProperty(value = "0:删除 1:未删除")
    private Integer state;

}
