package com.yizhi.library.application.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 学生案例关联分类表
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-09
 */
@Data
@ApiModel(value = "StudentCaseRelatedClassify", description = "学生案例关联分类表")
public class StudentCaseRelatedClassifyVO {

    private static final long serialVersionUID = 1L;


	private Long id;

    @ApiModelProperty(value = "学生案例id")
	private Long studentCaseId;

    @ApiModelProperty(value = "一级或者二级,分类id")
	private Long classifyId;

    @ApiModelProperty(value = "1:一级分类 2:二级分类")
	private Integer level;

    @ApiModelProperty(value = "父级分类id")
	private Long classifyParentId;

	@ApiModelProperty(value = "维度id")
	private Long rootId;

	private Long createById;

	private String createByName;

	private Date createTime;

	private Long updateById;

	private String updateByName;

	private Date updateTime;

	private Long companyId;

	private Long siteId;

	private Long orgId;

    @ApiModelProperty(value = "0:删除,1:未删除")
	private Integer state;

}
