package com.yizhi.library.application;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cache.annotation.EnableCaching;
import org.springframework.cloud.client.discovery.EnableDiscoveryClient;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.ComponentScan;

/**
 * @author Ding
 * @className CaseLibraryApplication
 * @description TODO
 * @date 2019/7/1
 **/

@SpringBootApplication
@EnableDiscoveryClient
@EnableCaching
@EnableFeignClients(basePackages = {"com.yizhi"})
@ComponentScan(basePackages = {"com.yizhi"})
public class CaseLibraryApplication {

    public static void main(String[] args) {
        SpringApplication.run(CaseLibraryApplication.class, args);
    }
}
