package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
@Data
@ApiModel(value = "Auditor", description = "")
@TableName("auditor")
public class Auditor {

    private static final long serialVersionUID = 1L;


	private Long Id;

	@TableField("case_library_id")
	private Long caseLibraryId;

    @ApiModelProperty(value = "审核人")
	@TableField("auditor_id")
	private Long auditorId;

    @ApiModelProperty(value = "被审核人")
	@TableField("account_id")
	private Long accountId;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "0:删除 1:未删除")
	@TableLogic
	private Integer state;



}
