package com.yizhi.library.application.domain;

import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableLogic;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

/**
 * <p>
 * 评论点赞记录表

 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
@Data
@ApiModel(value = "CommentAdmire", description = "评论点赞记录表 ")
@TableName("comment_admire")
public class CommentAdmire {

    private static final long serialVersionUID = 1L;


	private Long Id;

    @ApiModelProperty(value = "点赞人id")
	@TableField("account_id")
	private Long accountId;

    @ApiModelProperty(value = "评论id")
	@TableField("comment_id")
	private Long commentId;

	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;

	@TableField(value = "update_by_id", fill = FieldFill.INSERT)
	private Long updateById;

	@TableField(value = "update_by_name", fill = FieldFill.INSERT)
	private String updateByName;

	@TableField(value = "update_time", fill = FieldFill.INSERT)
	private Date updateTime;

    @ApiModelProperty(value = "0:取消 1:点赞")
	@TableLogic
	private Integer state;



}
