package com.yizhi.library.application.mapper;

import java.util.List;

import com.yizhi.library.application.domain.StudentCase;
import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.mapper.BaseMapper;
import com.yizhi.library.application.vo.StudentCaseAccountExportVO;
import com.yizhi.library.application.vo.StudentCaseExportVO;

public interface StudentCaseReportMapper extends BaseMapper<StudentCase> {
    
    List<StudentCaseExportVO> studentCaseList(@Param("startDate") String startDate,@Param("endDate") String endDate,@Param("kwd") String kwd,@Param("siteId") Long siteId);

    List<StudentCaseAccountExportVO> studentCaseByAccount(@Param("siteId") Long siteId,@Param("accountIds") List<Long> accountIds);

}
