package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.CaseLibraryAuthorize;
import com.yizhi.library.application.vo.CaselibraryAuthorizeVO;

import java.util.List;

/**
 * <p>
 * 考试人员范围 服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-11-25
 */
public interface ICaseLibraryAuthorizeService extends IService<CaseLibraryAuthorize> {

    /**
     * 获取该用户指定可见范围的案例活动id
     *
     * @param accountId
     * @param relationIds
     * @return
     */
    List<Long> getAuthorizeIds(Long accountId, List<Long> relationIds);

    /**
     * 案例活动获取指定范围
     * @param caselibraryId
     * @return
     */
    List<CaselibraryAuthorizeVO> getAuthorize(Long caselibraryId);
}
