package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.plugins.Page;
import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.CommentReply;
import com.yizhi.library.application.vo.CommentReplyVO;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-12
 */
public interface ICommentReplyService extends IService<CommentReply> {

    /**
     * 获取回复列表
     * @param commentId
     * @param pageNo
     * @param pageSize
     * @return
     */
    Page<CommentReplyVO> getReplyList(Long commentId, Integer pageNo, Integer pageSize);

    /**
     * 回复下架
     * @param id
     * @return
     */
    boolean putDown(Long id);
}
