package com.yizhi.library.application.service;

import com.baomidou.mybatisplus.service.IService;
import com.yizhi.library.application.domain.Scorer;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author dingxiaowei123
 * @since 2019-07-08
 */
public interface IScorerService extends IService<Scorer> {

    boolean insertList(List<Scorer> scorerImportList);

    /**
     * 获取案例活动评分人
     * @param caseLibraryId
     * @param accountId
     * @return
     */
    List<Long> getScorerList(Long caseLibraryId, Long accountId);
}
