package com.fulan.caselibrary;


import com.baomidou.mybatisplus.plugins.Page;
import com.yizhi.library.application.CaseLibraryApplication;
import com.yizhi.library.application.param.SelectionStudentCaseParam;
import com.yizhi.library.application.service.IStudentCaseService;
import com.yizhi.library.application.service.impl.CaseLibraryServiceImpl;
import com.yizhi.library.application.vo.CaseLibraryVO;
import com.yizhi.library.application.vo.FavoriteVO;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.sound.midi.Soundbank;


/**
 * Unit test for simple App.
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = {CaseLibraryApplication.class})
public class AppTest {

    @Autowired
    private CaseLibraryServiceImpl caseLibraryService;

    @Test
    public void shouldAnswerWithTrue() {

//        CaseLibraryVO json = JSON.parseObject("{\"type\":1,\"state\":1,\"id\":\"1291322046399131648\",\"textEditType\":1,\"auditorAuthorize\":0,\"visibleRange\":1,\"point\":\"\",\"examine\":1,\"scoreRule\":4,\"showScore\":1,\"caseLibraryDimensionGradeVOS\":[{\"id\":\"\",\"name\":\"最多支持输入50个字符以内\",\"minScore\":1,\"maxScore\":3,\"sort\":0},{\"minScore\":2,\"maxScore\":8,\"name\":\"12222\",\"sort\":1},{\"minScore\":1,\"maxScore\":20,\"name\":\"一一\",\"sort\":2}],\"caseLibraryDimensionGradeDescription\":\"最多支持输入50个字符以内\"}", CaseLibraryVO.class);
//        RequestContext req = new RequestContext();
//        caseLibraryService.dealCaseLibraryDimensionGradeInsert(json, req);

        caseLibraryService.viewCaseLibrary(1291322046399131648L);
    }
    @Autowired
    private IStudentCaseService studentCaseService;


    @Test
    public void test(){
        SelectionStudentCaseParam selectionStudentCaseParam = new SelectionStudentCaseParam();
        selectionStudentCaseParam.setSortType(4);
        selectionStudentCaseParam.setPageNo(1);
        selectionStudentCaseParam.setPageSize(10);
        Page<FavoriteVO> selectionStudentCaseList = studentCaseService.getSelectionStudentCaseList(selectionStudentCaseParam);
        System.out.println();
    }

    @Test
    public void caseLibraryVeiw(){
        Long caseLibraryId = 1320574038365270016L;
        CaseLibraryVO caseLibraryVO = caseLibraryService.viewCaseLibrary(caseLibraryId);
        System.out.println(caseLibraryVO);
    }
}
